ghc-lib-parser-9.14.1.20251220: The GHC API, decoupled from GHC versions

Safe Haskell | Ignore
Language | GHC2021

GHC.Core.Rules.Config

Synopsis

- data RuleOpts = RuleOpts {
  - roPlatform :: !Platform
  - roNumConstantFolding :: !Bool
  - roExcessRationalPrecision :: !Bool
  - roBignumRules :: !Bool
  }

# Documentation

data RuleOpts #

Rule options

Constructors

RuleOpts |
Fields roPlatform :: !Platform Target platform roNumConstantFolding :: !Bool Enable constant folding through nested expressions. See Note [Constant folding through nested expressions] in GHC.Core.Opt.ConstantFold roExcessRationalPrecision :: !Bool Cut down precision of Rational values to that of Float/Double if disabled roBignumRules :: !Bool Enable rules for bignums